<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/ui_surface">

    <LinearLayout
        android:id="@+id/headContainer"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@drawable/bg_apply_moderator"
        android:fitsSystemWindows="false"
        android:orientation="vertical"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <View
            android:id="@+id/statusBar"
            android:layout_width="match_parent"
            android:layout_height="0dp" />

        <androidx.appcompat.widget.Toolbar
            android:id="@+id/toolbar"
            style="@style/Base_ToolbarStyle"
            android:layout_width="match_parent"
            android:layout_height="@dimen/appbar_height"
            android:background="@color/transparent" />

        <ImageView
            android:id="@+id/titleIv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="16dp"
            android:layout_marginLeft="16dp"
            android:layout_marginTop="4dp"
            android:layout_marginBottom="28dp"
            android:background="@drawable/apply_moderator_title" />
    </LinearLayout>


    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/taskRv"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:overScrollMode="never"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/headContainer">

    </androidx.recyclerview.widget.RecyclerView>

    <LinearLayout
        android:id="@+id/addGroupContainer"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:gravity="center"
        android:orientation="horizontal"
        android:paddingTop="18dp"
        android:paddingBottom="2dp"
        android:visibility="gone"
        app:layout_constraintTop_toBottomOf="@+id/taskRv">

        <TextView
            android:id="@+id/addGroupTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="加入版主审核QQ群："
            android:textColor="@color/text_secondary"
            android:textSize="12sp" />

        <TextView
            android:id="@+id/groupTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textColor="@color/primary_theme"
            android:textSize="12sp" />
    </LinearLayout>


    <TextView
        android:id="@+id/applyTv"
        style="@style/PrimaryGradientButton"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="32dp"
        android:layout_marginLeft="32dp"
        android:layout_marginTop="32dp"
        android:layout_marginEnd="32dp"
        android:layout_marginRight="32dp"
        android:alpha="0.4"
        android:paddingTop="13dp"
        android:paddingBottom="13dp"
        android:text="申请版主"
        android:textAlignment="center"
        android:textSize="14sp"
        android:textStyle="bold"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/addGroupContainer" />


</androidx.constraintlayout.widget.ConstraintLayout>